> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Importar um arquivo do enterprise blueprint

> Importa um arquivo anexo (material para substituição de variáveis de ambiente) para o blueprint.

Retorna 409 se o nome de variável de ambiente derivado entrar em conflito com outro arquivo ativo.

<div id="permissions">
  ## Permissões
</div>

Requer um usuário de serviço com a permissão `ManageAccountSnapshots` em nível Enterprise.

<div id="behavior">
  ## Comportamento
</div>

Importa um arquivo para o blueprint Enterprise. Os arquivos são referenciados no YAML do blueprint e ficam disponíveis durante os builds do snapshot.


## OpenAPI

````yaml pt-BR/v3-openapi.yaml POST /v3beta1/enterprise/snapshot-setup/blueprints/{blueprint_id}/files
openapi: 3.1.0
info:
  description: API Devin v3 com autenticação de usuário de serviço e RBAC
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3beta1/enterprise/snapshot-setup/blueprints/{blueprint_id}/files:
    post:
      tags:
        - snapshot_setup
      summary: Importar um arquivo do enterprise blueprint
      description: >-
        Importa um arquivo anexo (material para substituição de variáveis de
        ambiente) para o blueprint.


        Retorna 409 se o nome de variável de ambiente derivado entrar em
        conflito com outro arquivo ativo.
      operationId: >-
        upload_enterprise_blueprint_file_endpoint_v3beta1_enterprise_snapshot_setup_blueprints__blueprint_id__files_post
      parameters:
        - in: path
          name: blueprint_id
          required: true
          schema:
            title: Blueprint Id
            type: string
        - in: query
          name: name
          required: true
          schema:
            title: Name
            type: string
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_upload_enterprise_blueprint_file_endpoint_v3beta1_enterprise_snapshot_setup_blueprints__blueprint_id__files_post
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BlueprintFile'
          description: Resposta bem-sucedida
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Não autorizado
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Proibido
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Não encontrado
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Conflito
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Conteúdo não processável
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Muitas requisições
components:
  schemas:
    Body_upload_enterprise_blueprint_file_endpoint_v3beta1_enterprise_snapshot_setup_blueprints__blueprint_id__files_post:
      properties:
        file:
          contentMediaType: application/octet-stream
          title: File
          type: string
      required:
        - file
      title: >-
        Body_upload_enterprise_blueprint_file_endpoint_v3beta1_enterprise_snapshot_setup_blueprints__blueprint_id__files_post
      type: object
    BlueprintFile:
      description: Formato do recurso público ``BlueprintFile``.
      properties:
        blueprint_id:
          title: Blueprint Id
          type: string
        created_at:
          title: Created At
          type: integer
        env_var_name:
          title: Env Var Name
          type: string
        file_id:
          title: File Id
          type: string
        name:
          title: Name
          type: string
        size_bytes:
          title: Size Bytes
          type: integer
        updated_at:
          title: Updated At
          type: integer
      required:
        - file_id
        - blueprint_id
        - name
        - env_var_name
        - size_bytes
        - created_at
        - updated_at
      title: BlueprintFile
      type: object
    ProblemDetail:
      description: >-
        Corpo de erro RFC 9457 application/problem+json da API v3.


        detail é mantido do corpo legado {"detail": ...} por
        retrocompatibilidade; os

        outros membros são aditivos. errors contém falhas de validação em nível
        de campo

        (apenas 422).
      properties:
        detail:
          anyOf:
            - type: string
            - type: 'null'
          description: Uma explicação legível por humanos específica para esta ocorrência.
          title: Detail
        errors:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          description: Erros de validação no nível do campo (apenas respostas 422).
          title: Errors
        instance:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Uma referência de URI (o caminho da requisição) para esta
            ocorrência.
          title: Instance
        status:
          description: O código de status HTTP.
          title: Status
          type: integer
        title:
          description: Um breve resumo do tipo de problema, legível para humanos.
          title: Title
          type: string
        type:
          default: about:blank
          description: Uma referência de URI que identifica o tipo de problema.
          title: Type
          type: string
      required:
        - title
        - status
      title: ProblemDetail
      type: object
  securitySchemes:
    bearerAuth:
      description: 'Credencial de usuário de serviço (prefixo: cog_)'
      scheme: bearer
      type: http

````